datacache <- new.env(hash=TRUE, parent=emptyenv())

mgu74av2 <- function() showQCData("mgu74av2", datacache)
mgu74av2_dbconn <- function() dbconn(datacache)
mgu74av2_dbfile <- function() dbfile(datacache)
mgu74av2_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mgu74av2_dbInfo <- function() dbInfo(datacache)

mgu74av2ORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mgu74av2.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.MOUSECHIP_DB("mgu74av2", "chip mgu74av2", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mgu74av2_dbconn())
}

